=== debian/changelog ===
phonetisaurus (0.7.8-6) experimental; urgency=medium

  * Fix compilation with openfst > 1.4.0.
    Add -std=c++11 to CXXFLAGS.
    Remove -D_GLIBCXX_USE_CXX11_ABI=0 from CXXFLAGS.

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 20 Feb 2016 18:48:55 +0100

phonetisaurus (0.7.8-5) experimental; urgency=medium

  * Fix compilation with openfst < 1.4.0.
    Remove -std=c++11 and add -D_GLIBCXX_USE_CXX11_ABI=0
    to CXXFLAGS.

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 20 Feb 2016 18:29:47 +0100

phonetisaurus (0.7.8-4) experimental; urgency=medium

  * Add -std=c++11 to CXXFLAGS.
  * Bump Standards-Version to 3.9.7.
    No changes required.
  * Update homepage links.
  * Update Vcs-* fields.
  * Drop unused section in copyright.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 16 Feb 2016 02:51:54 +0100

phonetisaurus (0.7.8-3) experimental; urgency=medium

  * Add 2001_fix_calculateER_binary_lookup.patch.
    (Closes: #736433)
  * Drop phonetisaurus.lintian-overrides.
  * Bump Standards-Version.
    No change required.

 -- Giulio Paci <giuliopaci@gmail.com>  Thu, 23 Jan 2014 15:32:21 +0100

phonetisaurus (0.7.8-2) experimental; urgency=low

  * Add 1004_fix_ftbfs_on_non_linux.patch.
    (Closes: #701678)
  * Add 1005_fix_ftbfs_on_gnu_hurd.patch.
    (Closes: 701764)

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 27 Feb 2013 01:36:13 +0100

phonetisaurus (0.7.8-1) experimental; urgency=low

  * New upstream version 0.7.8
    + Refresh patches.
    + Refresh manpages.
  * Update Vcs-Git field in control.
  * Add 1002_fix_misspellings.patch.
  * Add 1003_fix_compiler_warnings.patch.
  * Add preliminary phonetisaurus-arpa2wfst-omega.1 manpage.
  * Add preliminary phonetisaurus-calculateER-omega.1 manpage.
  * Add preliminary phonetisaurus-g2p-omega.1 manpage.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 13 Feb 2013 01:13:11 +0100

phonetisaurus (0.7.5-1) experimental; urgency=low

  * New upstream version 0.7.5.
  * Add 1001_fix_binaries_return_values.patch. (Closes: #693313)
  * Drop 1001_avoid_segmentation_fault_on_empty_input.patch.
  * Drop 1002_fix_some_warnings.patch.
  * Drop 1003_fix_clean_target.patch.
  * Drop 1004_avoid_segmentation_fault_on_empty_model.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 16 Nov 2012 20:59:00 +0100

phonetisaurus (0.6-1) experimental; urgency=low

  * Initial Release. (Closes: #663643)

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 27 Oct 2012 17:22:27 +0200
