=== debian/control ===
Source: phonetisaurus
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 libsparsehash-dev,
 libfst-dev (>= 1.4.0),
 python (>= 2.6.6-3~),
 dpkg-dev (>= 1.16.2)
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/phonetisaurus.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phonetisaurus.git
Homepage: https://github.com/AdolfVonKleist/Phonetisaurus

Package: phonetisaurus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: libfst-tools, mitlm, m2m-aligner, flite
Built-Using: ${misc:Built-Using}
Description: Grapheme to Phoneme conversion tool
 Phonetisaurus is a tool to perform Grapheme to Phoneme conversion
 that is it provides pronunciation (or spelling) hypotheses given a
 word's ortographic representation. It is possible to require more
 than one hypotheses for each word. Phonetisaurus is implemented as a
 Weighted Finite State Transducer.
