=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_BUILD_PARALLEL := 1

DEB_SRCDIR := src
CXXFLAGS:=$(CXXFLAGS) -std=c++11

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_MAKE_EXTRA_ARGS += THIRD_PARTIES_INCLUDE="-I3rdparty/utfcpp"

BUILT_USING_SOURCES := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' libsparsehash-dev)
DEB_DH_GENCONTROL_ARGS_phonetisaurus := -- '-Vmisc:Built-Using=$(BUILT_USING_SOURCES)'

$(patsubst %,binary-install-python/%,$(DEB_PACKAGES)) :: binary-install-python/%: binary-install/%
	dh_python2 -p$(cdbs_curpkg)

DEB_TAR_SRCDIR := .

# Needed by upstream build process
CDBS_BUILD_DEPENDS += libsparsehash-dev, libfst-dev (>= 1.4.0), python (>= 2.6.6-3~), dpkg-dev (>= 1.16.2)
