=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/phonetisaurus-$1\.tar\.gz/ \
  https://github.com/AdolfVonKleist/Phonetisaurus/releases .*/v?(\d\S*)\.tar\.gz
